package com.zjrs.ggfw.rlzysc.blo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.ggfw.rlzysc.dto.grzxjlxx.ZjDTO;
import com.zjrs.ggfw.rlzysc.dto.msgl.*;
import com.zjrs.ggfw.rlzysc.po.RsRlzyZwxxPO;

import java.util.Map;

public interface MsGlBLO{
    void saveMsglInfo(MsUDTO dto);

    PageResult getMsgllist(MsQueryDTO dto);

    PageResult getMsgllistForGr(MsQueryDTO dto);

//    void updatemsjg(MsglZtUDTO dto);

    Map getMsglInfo(ZjDTO dto);

    Map getMsglInfoForYdd(ZjDTO dto);

    void updatemsgl(MsglZtUDTO dto);

    PageResult getMsglMsglist(MsglZtListDTO dto);

    Map queryQyxx(MsglZtUDTO dto);

    Map validMsjxx(MsyqglDTO dto);

    Map<Object, String> getMszInfo(String rsyhlsh);

    Map<Object, String> getMsqyInfo(String rsrlzyqyxxlsh);

    RsRlzyZwxxPO selectById(String rsrlzyzwxxlsh);

    void updategwzt(String rsyhlsh, String rsrlzyzwxxlsh);

    Map getJwtToken(MsglZtUDTO dto);
}

